org.hibernate.search.backend.impl.lucene.works

## Class ByTermDeleteWorkExecutor

- java.lang.Object
- - org.hibernate.search.backend.impl.lucene.works.ByTermDeleteWorkExecutor

- All Implemented Interfaces:
    LuceneWorkExecutor

      public final class ByTermDeleteWorkExecutor
      extends Object

  Extension of `DeleteLuceneWork` that will always perform the delete LuceneWork in an optimal way, since the underlying data store guarantee uniqueness of terms across different entity types.
  Author:
    gustavonalle
  See Also:
    `DeleteWorkExecutor`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Workspace` | `workspace`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static boolean` | `isIdNumeric(DocumentBuilderIndexedEntity documentBuilder)`
    `void` | `performWork(LuceneWork work, IndexWriterDelegate delegate, IndexingMonitor monitor)` Will perform work on an IndexWriter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### workspace

          protected final Workspace workspace

  - ### Method Detail

    - #### performWork

          public void performWork(LuceneWork work,
                                  IndexWriterDelegate delegate,
                                  IndexingMonitor monitor)

      Description copied from interface: `LuceneWorkExecutor`
      Will perform work on an IndexWriter.
      Specified by:
        `performWork` in interface `LuceneWorkExecutor`
      Parameters:
        `work` - the LuceneWork to apply to the IndexWriter.
        `delegate` - the IndexWriterDelegate to use.
        `monitor` - will be notified of performed operations

    - #### isIdNumeric

          protected static boolean isIdNumeric(DocumentBuilderIndexedEntity documentBuilder)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved